WasserEsser
972e327118
Added a more robust pattern and fixed the pattern replacement
2026-06-19 03:04:01 +02:00
WasserEsser
f9a103a014
Dirty pattern replacement, will do for now
2026-06-18 01:55:15 +02:00
WasserEsser
1a44a128e5
Fix placeholder URL in warning message
2026-05-05 15:45:53 +02:00
WasserEsser
0e355897dd
docs: add AI disclaimer to README
2026-04-30 13:44:03 +02:00
WasserEsser
520d80bee6
fix: improve error handling in patch.sh
...
- Add explicit error checking for file, hexdump, and dd commands
- Remove duplicate validation block
- Fix grep error handling to distinguish between 'no matches' (OK) and actual errors
- Fix wc -l bug that incorrectly detected empty output as having 1 line
2026-04-30 13:39:22 +02:00
WasserEsser
6d16a49ec8
Fix: Add || true to grep commands to prevent set -e from killing script on no match
2026-04-30 13:05:27 +02:00
WasserEsser
867c03b123
Use --quiet mode in Dockerfile for cleaner build output
2026-04-30 12:58:03 +02:00
WasserEsser
fed9b7736f
Update Dockerfile to include all required dependencies for patch.sh
2026-04-30 12:57:35 +02:00
WasserEsser
bee0aae385
Add CLI options: --help, --quiet, and --dry-run
2026-04-30 12:54:09 +02:00
WasserEsser
b39cea283b
Add ELF binary file type validation
2026-04-30 12:53:48 +02:00
WasserEsser
19431a6601
Add exit code differentiation
2026-04-30 12:53:43 +02:00
WasserEsser
4b6d18c26f
Add already-patched detection
2026-04-30 12:53:29 +02:00
WasserEsser
526f7aafe7
Add warning for multiple pattern matches
2026-04-30 12:53:22 +02:00
WasserEsser
d6c89ceb52
Add strict mode (set -euo pipefail)
2026-04-30 12:53:18 +02:00
WasserEsser
b06cf83861
Improve cleanup: use mktemp and trap for guaranteed temp file removal
2026-04-30 12:53:14 +02:00
WasserEsser
5aeae47998
Add write permission checks and verify patch operation succeeds
2026-04-30 12:52:57 +02:00
WasserEsser
08edabdae8
Add dependency checking to patch.sh
2026-04-30 12:52:48 +02:00
WasserEsser
64c34ae5f3
Add reference to the IsValidId function
2026-01-16 22:11:10 +01:00
WasserEsser
21fe8e5752
Rename README to README.md
2026-01-16 22:08:12 +01:00
WasserEsser
f90ab2f6ec
Initial commit
2026-01-16 22:05:21 +01:00